Dataset Preview
The dataset preview is not available for this dataset.
Cannot get the split names for the dataset.
Error code:   SplitsNamesError
Exception:    SplitsNotFoundError
Message:      The split names could not be parsed from the dataset config.
Traceback:    Traceback (most recent call last):
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/inspect.py", line 388, in get_dataset_config_info
                  for split_generator in builder._split_generators(
                File "/tmp/modules-cache/datasets_modules/datasets/biu-nlp--qa_srl2020/bafabfede32fde771580c843c80e240fea9f31ff8e3b445be160c339cab23a46/qa_srl2020.py", line 229, in _split_generators
                  self.corpus_base_path = Path(dl_manager.download_and_extract(_URLs["jsonl"]))
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/download/streaming_download_manager.py", line 1074, in download_and_extract
                  return self.extract(self.download(url_or_urls))
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/download/streaming_download_manager.py", line 1026, in extract
                  urlpaths = map_nested(self._extract, url_or_urls, map_tuple=True)
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/utils/py_utils.py", line 436, in map_nested
                  return function(data_struct)
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/download/streaming_download_manager.py", line 1036, in _extract
                  raise NotImplementedError(
              NotImplementedError: Extraction protocol for TAR archives like 'https://qasrl.org/data/qasrl-gs.tar' is not implemented in streaming mode. Please use `dl_manager.iter_archive` instead.
              
              Example usage:
              
              	url = dl_manager.download(url)
              	tar_archive_iterator = dl_manager.iter_archive(url)
              
              	for filename, file in tar_archive_iterator:
              		...
              
              The above exception was the direct cause of the following exception:
              
              Traceback (most recent call last):
                File "/src/workers/datasets_based/src/datasets_based/workers/splits.py", line 119, in compute_splits_response
                  split_items = get_dataset_split_full_names(dataset=dataset, use_auth_token=use_auth_token)
                File "/src/workers/datasets_based/src/datasets_based/workers/splits.py", line 76, in get_dataset_split_full_names
                  return [
                File "/src/workers/datasets_based/src/datasets_based/workers/splits.py", line 79, in <listcomp>
                  for split in get_dataset_split_names(path=dataset, config_name=config, use_auth_token=use_auth_token)
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/inspect.py", line 442, in get_dataset_split_names
                  info = get_dataset_config_info(
                File "/src/workers/datasets_based/.venv/lib/python3.9/site-packages/datasets/inspect.py", line 393, in get_dataset_config_info
                  raise SplitsNotFoundError("The split names could not be parsed from the dataset config.") from err
              datasets.inspect.SplitsNotFoundError: The split names could not be parsed from the dataset config.

Need help to make the dataset viewer work? Open an discussion for direct support.